Main Page Class Hierarchy Compound List File List Compound Members File Members

# transfer.h File Reference

Go to the source code of this file.

## Compounds
struct | _PZNum
struct | _ResponseStruct
## Defines
#define | TR_DBG_PZG 1<<0
#define | TR_DBG_TRS 1<<1
#define | TR_DBG_ARS 1<<2
## Typedefs
typedef _PZNum | PZNum
typedef _ResponseStruct | ResponseStruct
## Functions
void | response (long, double, ResponseStruct *, double *, double *)
int | readPZ (char *, ResponseStruct *)
double | ftaper (double, double, double)
void | taper (double *, long, long)
int | convertWave (double *, long, double, ResponseStruct *, ResponseStruct *, double *, int, long *, long *, double *, long, double *, double *)
int | respLen (ResponseStruct *, double, double *)
void | deMean (double *, long, double *)
void | cleanPZ (ResponseStruct *)
void | pzCancel (ResponseStruct *, double)
void | transferDebug (int)

## Define Documentation

#define TR_DBG_ARS 1<<2

| Definition at line 48 of file transfer.h. Referenced by convertWave().

#define TR_DBG_PZG 1<<0

| Definition at line 44 of file transfer.h. Referenced by convertWave().

#define TR_DBG_TRS 1<<1

| Definition at line 46 of file transfer.h. Referenced by respLen().

## Typedef Documentation

typedef struct _PZNum PZNum

typedef struct _ResponseStruct ResponseStruct

## Function Documentation

void cleanPZ | ( | ResponseStruct * |  | ) |

| Definition at line 878 of file transfer.c. References _ResponseStruct::iNumPoles, _ResponseStruct::iNumZeros, _ResponseStruct::Poles, and _ResponseStruct::Zeros. Referenced by convertWave(), gma(), and readPZ().

int convertWave | ( | double * | ,
|  | long | ,
|  | double | ,
|  | ResponseStruct * | ,
|  | ResponseStruct * | ,
|  | double * | ,
|  | int | ,
|  | long * | ,
|  | long * | ,
|  | double * | ,
|  | long | ,
|  | double * | ,
|  | double * |
| ) |

void deMean | ( | double * | ,
|  | long | ,
|  | double * |
| ) |

| Definition at line 855 of file transfer.c.

double ftaper | ( | double | ,
|  | double | ,
|  | double |
| ) |

| Definition at line 321 of file transfer.c. References PI. Referenced by convertWave(), gma(), and respLen().

void pzCancel | ( | ResponseStruct * | ,
|  | double |
| ) |

| Definition at line 770 of file transfer.c. References _PZNum::dImag, _PZNum::dReal, drop(), _ResponseStruct::iNumPoles, _ResponseStruct::iNumZeros, _ResponseStruct::Poles, and _ResponseStruct::Zeros. Referenced by gma().

int readPZ | ( | char * | ,
|  | ResponseStruct * |
| ) |

| Definition at line 142 of file transfer.c. References cleanPZ(), _ResponseStruct::dGain, _PZNum::dImag, _PZNum::dReal, _ResponseStruct::iNumPoles, _ResponseStruct::iNumZeros, MAXLINE, _ResponseStruct::Poles, and _ResponseStruct::Zeros.

int respLen | ( | ResponseStruct * | ,
|  | double | ,
|  | double * |
| ) |

| Referenced by convertWave(), and gma().

void response | ( | long | ,
|  | double | ,
|  | ResponseStruct * | ,
|  | double * | ,
|  | double * |
| ) |

| Definition at line 41 of file transfer.c. References _ResponseStruct::dGain, _PZNum::dImag, _PZNum::dReal, _ResponseStruct::iNumPoles, _ResponseStruct::iNumZeros, PI, _ResponseStruct::Poles, and _ResponseStruct::Zeros. Referenced by convertWave(), gma(), and respLen().

void taper | ( | double * | ,
|  | long | ,
|  | long |
| ) |

| Definition at line 832 of file transfer.c. References PI. Referenced by gma().

void transferDebug | ( | int |  | ) |

| Definition at line 895 of file transfer.c. References Debug.